# Uses of Interface
jdk.jshell.SourceCodeAnalysis.CompletionState

Packages that use SourceCodeAnalysis.CompletionState
Package
Description
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.

## Uses of SourceCodeAnalysis.CompletionState in jdk.jshell

Methods in jdk.jshell with parameters of type SourceCodeAnalysis.CompletionState
Modifier and Type
Method
Description
`List<S>`
SourceCodeAnalysis.ElementSuggestionConvertor.`convert(SourceCodeAnalysis.CompletionState state, List<? extends SourceCodeAnalysis.ElementSuggestion> suggestions)`
Convert a list of SourceCodeAnalysis.ElementSuggestion to a list of custom completion items.